name: wyatt_clean_code
description: Create clean new Flutter project from scratch following Clean Code Architecture.

# The following defines the version and build number for your brick.
# A version number is three numbers separated by dots, like 1.2.34
# followed by an optional build number (separated by a +).
version: 0.1.0+1

# The following defines the environment for the current brick.
# It includes the version of mason that the brick requires.
environment:
  mason: ">=0.1.0-dev.26 <0.1.0"

# Variables specify dynamic values that your brick depends on.
# Zero or more variables can be specified for a given brick.
# Each variable has:
#  * a type (string, number, boolean, enum, or array)
#  * an optional short description
#  * an optional default value
#  * an optional list of default values (array only)
#  * an optional prompt phrase used when asking for the variable
#  * a list of values (enums only)
vars:
  project_name:
    type: string
    description: The project name
    default: app
    prompt: "What is the project name?"
  org_name:
    type: string
    description: The organization name
    default: fr.wyattstudio.app
    prompt: "What is the organization name?"
  description:
    type: string
    description: A short project description
    default: A new Wyatt Studio project.
    prompt: "What is the project description?"
  platforms:
    type: array
    description: Supported platforms
    prompt: Which platforms would you like to support?
    defaults:
      - android
      - ios
    values:
      - android
      - ios
      - web
      - macos
      - windows
      - linux